.v-event #kv {
    display: none;
}


/* Loading Canvas */

#bodyMicrosite.v-event #webGlCanvas .loading-canvas {
    display: block;
    background: #fff;
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 999;
    opacity: 1;
    top: 0;
    left: 0;
}

#bodyMicrosite.v-event #webGlCanvas:not(.loaded) .loading-canvas:before {
    content: '';
    border: 7px solid #f2f2f2;
    border-top: 7px solid #011a56;
    border-radius: 50%;
    width: 80px;
    height: 80px;
    animation: spin 2s linear infinite;
    margin: 0 auto;
    position: absolute;
    left: calc(50% - 40px);
    top: calc(50% - 40px);
    transform: translate(-50%, -50%);
}

#bodyMicrosite.v-event #webGlCanvas.loaded .loading-canvas {
    transition: opacity 2s linear;
    opacity: 0;
    display: none;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}


/* *** CONTROL PANEL *** */

.v-event #webGlCanvas:not(.loaded) .control-panel-wrapper {
    display: none;
}

.v-event #webGlCanvas.loaded .control-panel-wrapper {
    display: block;
}

.ve-term-of-use .control-panel-wrapper {
    display: none;
}

.control-panel-wrapper .currentScene {
    position: absolute;
    right: 20px;
    top: 10px;
    color: #011a56;
    background-color: #fff;
    padding: 10px 10px;
    border-radius: 19px;
    border: 2px solid #011a56;
    cursor: default;
    z-index: 100;
}

.open-menu {
    background-color: #011a56;
    border: 1px solid #011a56;
    border-radius: 35px;
    color: #FFFFFF;
    cursor: pointer;
    font-size: 30px;
    height: 50px;
    padding: 1px 11px;
    position: absolute;
    right: 20px;
    text-align: center;
    top: 150px;
    width: 50px;
    z-index: 10;
    outline: none;
}

.open-menu:hover {
    background-color: #f59900;
    border-color: #f59900
}

.open-menu.is-active,
.open-menu.is-active:hover {
    z-index: 65;
}

.open-menu .open-menu-wrapper {
    width: 25px;
    height: 21px;
    display: inline-block;
    position: relative;
}

.open-menu .open-menu-inner {
    display: block;
    margin-top: -2px;
    top: 2px;
}

.open-menu .open-menu-inner,
.open-menu .open-menu-inner:before,
.open-menu .open-menu-inner:after {
    width: 25px;
    height: 3px;
    background-color: #fff;
    border-radius: 4px;
    position: absolute;
}

.open-menu .open-menu-inner:before,
.open-menu .open-menu-inner:after {
    content: "";
    display: block;
}

.open-menu .open-menu-inner:before {
    top: 8px;
    transition-property: transform, opacity;
    transition-timing-function: ease;
    transition-duration: 0.15s;
}

.open-menu .open-menu-inner:after {
    bottom: -16px;
}

.open-menu.is-active .open-menu-inner {
    transform: translate3d(0, 10px, 0) rotate(45deg);
}

.open-menu.is-active .open-menu-inner:before {
    transform: rotate(-45deg) translate3d(-5.71429px, -6px, 0);
    opacity: 0;
}

.open-menu.is-active .open-menu-inner:after {
    transform: translate3d(0, -20px, 0) rotate(-90deg);
    top: 20px;
}

#menu {
    position: absolute;
    display: none;
    opacity: 0;
    right: 0px;
    top: 150px;
    width: 300px;
    background-color: rgba(255, 255, 255, 0.85);
    color: #000;
    padding: 10px 20px 30px 20px;
    margin-right: 70px;
    transition: all 0.35s ease;
    -webkit-box-shadow: -1px 5px 21px -5px rgba(0, 0, 0, 1);
    -moz-box-shadow: -1px 5px 21px -5px rgba(0, 0, 0, 1);
    box-shadow: -1px 5px 21px -5px rgba(0, 0, 0, 1);
    z-index: 60;
    transition: all 0.2s ease;
}

#menu.opened {
    opacity: 1;
    display: block;
    max-height: calc(100% - 120px);
    overflow-y: auto;
}

#menu .wrapper .headline {
    display: inline-block;
    font-size: 16px;
    margin-bottom: 10px;
}

#menu .wrapper>div>div {
    background-color: #011a56;
    color: #fff;
    font-family: medium;
    font-weight: normal;
    margin-bottom: 15px;
    font-size: 16px;
    border-radius: 7px;
    padding: 5px 20px;
    cursor: pointer;
    position: relative;
}

#menu .wrapper>div.currentArea .headline {
    font-size: 20px;
}

#menu .wrapper>div.currentArea .headline:before {
    content: "\f276";
    font-family: 'fontAwesome';
    margin-right: 5px;
}

#menu .wrapper>div>div:hover {
    opacity: 0.8;
}

#menu .wrapper>div>div:after {
    content: '\f105';
    font-family: fontAwesome;
    position: absolute;
    right: 20px;
}

.back {
    position: absolute;
    height: 50px;
    width: 50px;
    font-size: 26px;
    top: 210px;
    right: 20px;
    color: #0000;
    cursor: pointer;
    transition: color 0.2s;
    background-color: #011a56;
    border: 1px solid #011a56;
    border-radius: 50%;
    outline: none;
    text-align-last: center;
    z-index: 10;
}

.back:hover {
    background-color: #f59900;
    border-color: #f59900;
}

.back:before {
    content: '\f0e2';
    font-family: 'fontAwesome';
    color: #fff;
}

.interaction-button-wrapper {
    position: absolute;
    top: 310px;
    right: 20px;
    color: #0000;
    transition: color 0.2s;
    z-index: 90;
}

.interaction-button-wrapper>div {
    position: relative;
    height: 50px;
    width: 50px;
    background-color: #011a56;
    border: 1px solid #011a56;
    border-radius: 50%;
    font-size: 22px;
    outline: none;
    text-align-last: center;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}

.interaction-button-wrapper>div:not(first-child) {
    margin-top: 15px;
}

.interaction-button-wrapper>div:hover,
.interaction-button-wrapper>div.active {
    background-color: #f59900;
    border-color: #f59900;
}

.interaction-button-wrapper>div:before {
    color: #fff;
    font-family: fontAwesome;
    width: 25px;
    height: 25px;
}

.interaction-button-wrapper>div.chat:before {
    content: '\f0e5';
}

.interaction-button-wrapper>div.voting:before {
    content: '\f0c0';
}

.interaction-button-wrapper>div.rating:before {
    content: '\f164';
}

.interaction-button-wrapper>div.news:before {
    content: '\f0a1';
}

.badge {
    display: none;
}

.badge.active {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    background: #ff0000;
    position: absolute;
    top: -10px;
    width: 20px;
    height: 20px;
    border-radius: 50%;
}


/* FULLSCREEN */

#toggle-v-event-fullscreen {
    position: absolute;
    height: 50px;
    width: 50px;
    font-size: 22px;
    top: 90px;
    right: 20px;
    color: #0000;
    cursor: pointer;
    transition: color 0.2s;
    background-color: #011a56;
    border: 1px solid #011a56;
    border-radius: 50%;
    z-index: 60;
}

#toggle-v-event-fullscreen:hover {
    background-color: #f59900;
    border-color: #f59900;
}

#toggle-v-event-fullscreen:before {
    content: '';
    background-image: url("/custom/img/microsite/2106/fullscreen.png");
    width: 35px;
    height: 35px;
    margin-top: 7px;
    margin-left: 7px;
    display: block;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    transition: all 0.2s;
}

.fullscreen #toggle-v-event-fullscreen:before {
    background-image: url("/custom/img/microsite/2106/fullscreen_exit.png");
}


/* ** ICONS ** */

.v-event-icon-wrapper {
    position: relative;
}

.v-event-icon-wrapper .v-event-icon {
    display: flex;
    align-items: center;
    position: absolute;
    opacity: 0;
    z-index: -1;
    transition: opacity 1s;
}

.v-event-icon-wrapper .v-event-icon.active {
    opacity: 1;
    z-index: 55;
}

.v-event-icon-wrapper .v-event-icon:not(.active) {
    display: none !important;
}

.dot {
    position: relative;
    width: 40px;
    height: 40px;
    transition: all 0.2s;
}

.dot:hover {
    cursor: pointer;
    width: 45px;
    height: 45px;
    transition: all 0.2s;
}

.dot:before {
    content: '';
    position: absolute;
    z-index: 10;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: radial-gradient(#f59b00cf, #f59b00);
    transition: all 0.2s;
}

.dot:hover:before {
    width: 45px;
    height: 45px;
    transition: all 0.2s;
}

.v-event-icon.arrow-up.active .dot:before {
    background-image: url(/custom/img/microsite/2106/arrow_up_yellow.png);
    background-size: cover;
}

.v-event-icon-wrapper .v-event-icon .ve_tooltip {
    background-color: #f59b00;
    color: #fff;
    padding: 3px 17px 3px 12px;
    margin-left: 22px;
    border-radius: 0px 20px 20px 0px;
    border-bottom-right-radius: 20px;
    cursor: default;
    transition: all 0.2s;
    position: relative;
}

.v-event-icon-wrapper .v-event-icon .ve_tooltip:before {
    content: '';
    background: #f59b00;
    width: 22px;
    height: 22px;
    position: absolute;
    left: -11px;
    top: 5px;
    transform: rotate(45deg);
    z-index: -1;
}


/* Agenda Icon */

.v-event-icon.agenda.active .dot:before {
    background-image: url(/custom/img/microsite/2106/agenda_yellow.png);
    background-size: cover;
}


/* Info Icon */

.v-event-icon.info.active .dot:before {
    background-image: url(/custom/img/microsite/2106/info_yellow.png);
    background-size: cover;
}


/* Play Icon */

.v-event-icon.play.active .dot:before {
    background-image: url(/custom/img/microsite/2106/play_yellow.png);
    background-size: cover;
}


/* Voting Icon */

.v-event-icon.voting.active .dot:before {
    background-image: url(/custom/img/microsite/2106/voting.png);
    background-size: cover;
}


/* Social Wall Icon */

.v-event-icon.social.active .dot:before {
    background-image: url(/custom/img/microsite/2106/people_yellow.png);
    background-size: 30px;
    background-color: #f59900;
    background-repeat: no-repeat;
    background-position: center;
}

.v-event-icon.camera.active .dot:before {
    content: '\f03d';
    font-family: 'fontAwesome';
    color: #fff;
    font-size: 24px;
    padding-top: 8px;
    padding-left: 8px;
}

.v-event-icon.camera.active .dot:hover:before {
    font-size: 30px;
    transition: all 0.2s;
}


/* TERMS-OF-USE */

#bodyMicrosite.ve-term-of-use .login-wrapper {
    display: none !important;
}

#v-event-terms-of-use {
    display: none;
    background-color: rgba(255, 255, 255, 0.4);
    width: 100%;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10000;
}

#v-event-terms-of-use .content {
    width: 900px;
    height: auto;
    padding: 30px;
    position: fixed;
    z-index: 999;
    box-shadow: 0 0 3px 2px;
    top: calc(50% - 135px);
    left: calc(50% - 450px);
    background-color: #fff;
    font-size: 18px;
}

#v-event-terms-of-use .content .header {
    font-size: 24px;
    margin-bottom: 10px;
}

#v-event-terms-of-use .button-wrapper {
    display: flex;
    justify-content: space-around;
    margin-top: 20px;
}

#v-event-terms-of-use .button-wrapper .btn {
    font-size: 20px;
    background-color: #143c8c;
    padding: 12px 24px !important;
    border-radius: 24px;
    line-height: 1;
}

#v-event-terms-of-use .button-wrapper .btn.submit {
    font-size: 23px;
}

#v-event-terms-of-use .button-wrapper .btn:hover {
    background-color: #f59900;
}

@media only screen and (max-width: 1550px) {
    .v-event .navbar-nav,
    .v-event #divFooter {
        font-size: 18px;
    }
}

@media only screen and (max-width: 1370px) {
    .v-event #flogo {
        float: left;
        margin: 10px 20px 0px;
        width: 150px;
        height: 40px;
    }
    .v-event .navbar-nav,
    .v-event #divFooter {
        font-size: 16px;
    }
    .v-event .navbar-nav {
        margin-top: 20px;
    }
    .v-event #webGlCanvas .control-panel-wrapper .interaction-button-wrapper>div.voting,
    .v-event #webGlCanvas .control-panel-wrapper .interaction-button-wrapper>div.rating {
        padding-top: 7px;
    }
}